QXmpp: QXmppRpcManager Class Reference

QXmpp Version:0.7.5

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Public Member Functions | List of all members
QXmppRpcManager Class Reference
Managers

The QXmppRpcManager class make it possible to invoke remote methods and to expose local interfaces for remote procedure calls, as specified by XEP-0009: Jabber-RPC. More...

`#include <QXmppRpcManager.h>`

Inheritance diagram for QXmppRpcManager:

## Public Member Functions
| QXmppRpcManager ()
| Constructs a QXmppRpcManager.
void | addInvokableInterface (QXmppInvokable *interface)
QXmppRemoteMethodResult | callRemoteMethod (const QString &jid, const QString &interface, const QVariant &arg1=QVariant(), const QVariant &arg2=QVariant(), const QVariant &arg3=QVariant(), const QVariant &arg4=QVariant(), const QVariant &arg5=QVariant(), const QVariant &arg6=QVariant(), const QVariant &arg7=QVariant(), const QVariant &arg8=QVariant(), const QVariant &arg9=QVariant(), const QVariant &arg10=QVariant())
Public Member Functions inherited from QXmppClientExtension
| QXmppClientExtension ()
virtual | ~QXmppClientExtension ()
virtual QStringList | discoveryFeatures () const
virtual QList < QXmppDiscoveryIq::Identity > | discoveryIdentities () const
virtual bool | handleStanza (const QDomElement &stanza)=0
| You need to implement this method to process incoming XMPP stanzas.
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=0)

## Additional Inherited Members
Signals inherited from QXmppLoggable
void | setGauge (const QString &gauge, double value)
| Sets the given gauge to value.
void | logMessage (QXmppLogger::MessageType type, const QString &msg)
| This signal is emitted to send logging messages.
void | updateCounter (const QString &counter, qint64 amount=1)
| Updates the given counter by amount.
Protected Member Functions inherited from QXmppClientExtension
QXmppClient * | client ()
virtual void | setClient (QXmppClient *client)

## Detailed Description

The QXmppRpcManager class make it possible to invoke remote methods and to expose local interfaces for remote procedure calls, as specified by XEP-0009: Jabber-RPC.

To make use of this manager, you need to instantiate it and load it into the QXmppClient instance as follows:

QXmppRpcManager *manager = new QXmppRpcManager;
client->addExtension(manager);

Note
  THIS API IS NOT FINALIZED YET

## Member Function Documentation

void QXmppRpcManager::addInvokableInterface | ( | QXmppInvokable * | interface | ) |

Adds a local interface which can be queried using RPC.

Parameters

  interface |

QXmppRemoteMethodResult QXmppRpcManager::callRemoteMethod | ( | const QString & | jid,
|  | const QString & | interface,
|  | const QVariant & | arg1 = `QVariant()`,
|  | const QVariant & | arg2 = `QVariant()`,
|  | const QVariant & | arg3 = `QVariant()`,
|  | const QVariant & | arg4 = `QVariant()`,
|  | const QVariant & | arg5 = `QVariant()`,
|  | const QVariant & | arg6 = `QVariant()`,
|  | const QVariant & | arg7 = `QVariant()`,
|  | const QVariant & | arg8 = `QVariant()`,
|  | const QVariant & | arg9 = `QVariant()`,
|  | const QVariant & | arg10 = `QVariant()`
| ) |  |

Calls a remote method using RPC with the specified arguments.

Note
  This method blocks until the response is received, and it may cause XMPP stanzas to be lost!

The documentation for this class was generated from the following files:

- QXmppRpcManager.h
- QXmppRpcManager.cpp